org.bdgenomics.adam.sql

# VariantCallingAnnotations

#### class VariantCallingAnnotations extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantCallingAnnotations
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantCallingAnnotations(filtersApplied: Option[Boolean], filtersPassed: Option[Boolean], filtersFailed: Seq[String], downsampled: Option[Boolean], baseQRankSum: Option[Float], fisherStrandBiasPValue: Option[Float], rmsMapQ: Option[Float], mapq0Reads: Option[Int], mqRankSum: Option[Float], readPositionRankSum: Option[Float], genotypePriors: Seq[Float], genotypePosteriors: Seq[Float], vqslod: Option[Float], culprit: Option[String], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val attributes: Map[String, String]

8. #### val baseQRankSum: Option[Float]

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     VariantCallingAnnotations → Equals

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val culprit: Option[String]

12. #### val downsampled: Option[Boolean]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### val filtersApplied: Option[Boolean]

16. #### val filtersFailed: Seq[String]

17. #### val filtersPassed: Option[Boolean]

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### val fisherStrandBiasPValue: Option[Float]

20. #### val genotypePosteriors: Seq[Float]

21. #### val genotypePriors: Seq[Float]

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### val mapq0Reads: Option[Int]

26. #### val mqRankSum: Option[Float]

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def productArity: Int

    Definition Classes
      VariantCallingAnnotations → Product

31. #### def productElement(i: Int): Any

    Definition Classes
      VariantCallingAnnotations → Product

32. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

33. #### def productPrefix: String

    Definition Classes
      Product

34. #### val readPositionRankSum: Option[Float]

35. #### val rmsMapQ: Option[Float]

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toAvro: formats.avro.VariantCallingAnnotations

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### val vqslod: Option[Float]

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped